Package org.eclipse.emf.cdo.server

# Class CDOServerBrowser.RevisionsPage

java.lang.Object
org.eclipse.emf.cdo.server.CDOServerBrowser.AbstractPage
org.eclipse.emf.cdo.server.CDOServerBrowser.RevisionsPage

All Implemented Interfaces:
  `CDOServerBrowser.Page`

Direct Known Subclasses:
  `CDOServerBrowser.RevisionsPage.FromCache`, `CDOServerBrowser.RevisionsPage.FromStore`

Enclosing class:
  CDOServerBrowser

public abstract static class CDOServerBrowser.RevisionsPage extends CDOServerBrowser.AbstractPage
A `server browser page` that renders `revisions`.

Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`CDOServerBrowser.RevisionsPage.FromCache`
A `server browser page` that renders the `revisions` in a revision cache.
`static class`
`CDOServerBrowser.RevisionsPage.FromStore`
A `server browser page` that renders the `revisions` in a `store`.

## Field Summary

### Fields inherited from interface org.eclipse.emf.cdo.server.CDOServerBrowser.Page

`PRODUCT_GROUP`

## Constructor Summary

Constructors
Constructor
Description
`RevisionsPage(String name, String label)`

## Method Summary

Modifier and Type
Method
Description
`void`
`display(CDOServerBrowser browser, InternalRepository repository, PrintStream out)`
`protected abstract Map<CDOBranch,List<CDORevision>>`
`getAllRevisions(InternalRepository repository)`
`protected String`
`getCDOIDLabel(CDORevision revision)`
`protected Object`
`getRevisionValue(Object value, CDOServerBrowser browser, Map<CDOID,List<CDORevision>> ids, InternalCDORevision context)`
`protected void`
`showKeyValue(PrintStream pout, boolean bg, String key, Object value)`
`protected void`
`showRevision(PrintStream pout, CDOServerBrowser browser, Map<CDOBranch,List<CDORevision>> allRevisions, Map<CDOID,List<CDORevision>> ids, String key, InternalRepository repository)`
`protected void`
`showRevision(PrintStream pout, CDOServerBrowser browser, Map<CDOID,List<CDORevision>> ids, InternalCDORevision revision)`

### Methods inherited from class org.eclipse.emf.cdo.server.CDOServerBrowser.AbstractPage

`getLabel, getName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.cdo.server.CDOServerBrowser.Page

`canDisplay`

## Constructor Details

### RevisionsPage

public RevisionsPage(String name, String label)

## Method Details

### display

public void display(CDOServerBrowser browser, InternalRepository repository, PrintStream out)

### showRevision

protected void showRevision(PrintStream pout, CDOServerBrowser browser, Map<CDOBranch,List<CDORevision>> allRevisions, Map<CDOID,List<CDORevision>> ids, String key, InternalRepository repository)

Since:
  4.0

### showRevision

protected void showRevision(PrintStream pout, CDOServerBrowser browser, Map<CDOID,List<CDORevision>> ids, InternalCDORevision revision)

Since:
  4.0

### getRevisionValue

protected Object getRevisionValue(Object value, CDOServerBrowser browser, Map<CDOID,List<CDORevision>> ids, InternalCDORevision context)

Since:
  4.0

### showKeyValue

protected void showKeyValue(PrintStream pout, boolean bg, String key, Object value)

Since:
  4.0

### getAllRevisions

protected abstract Map<CDOBranch,List<CDORevision>> getAllRevisions(InternalRepository repository)

### getCDOIDLabel

protected String getCDOIDLabel(CDORevision revision)